cascading.pipe.joiner

## Class InnerJoin.JoinIterator

- java.lang.Object
- - cascading.pipe.joiner.InnerJoin.JoinIterator

- All Implemented Interfaces:
    java.util.Iterator<Tuple>
  Direct Known Subclasses:
    OuterJoin.JoinIterator
  Enclosing class:
    InnerJoin

      public static class InnerJoin.JoinIterator
      extends java.lang.Object
      implements java.util.Iterator<Tuple>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InnerJoin.JoinIterator(JoinerClosure closure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Iterator` | `getIterator(int i)`
    `boolean` | `hasNext()`
    `protected void` | `init()`
    `Tuple` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InnerJoin.JoinIterator

          public InnerJoin.JoinIterator(JoinerClosure closure)

  - ### Method Detail

    - #### init

          protected void init()

    - #### getIterator

          protected java.util.Iterator getIterator(int i)

    - #### hasNext

          public final boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<Tuple>`

    - #### next

          public Tuple next()

      Specified by:
        `next` in interface `java.util.Iterator<Tuple>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<Tuple>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.